using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmHolidayCustom
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        [Column(TypeName = "datetime")]
        public DateTime HolidayDate { get; set; }
        [Required]
        [StringLength(16)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmHolidayCustom))]
        public virtual CmSite Site { get; set; }
    }
}
